Bug 203796 - RPM should maintain installation/erase (%pre %post) activity and result logs
RPM should maintain installation/erase (%pre %post) activity and result logs
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 15:15 EDT by Anuj Verma (Kevin)
Modified: 2015-07-08 03:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anuj Verma (Kevin) 2006-08-23 15:15:41 EDT
Description of problem:

Many times it so happens that a RPM I have just installed either, 
 - did not found all expected conditions to be ture
 - or has changed some particular pre-existing configuration 

any or more possibilties of the above often brings surprises to the users and
admins, that something which was working tomorrow does not work today. 

Hence, the convinience of auto update machanisms as of present gives nightmares
and shivers during sleep, to many sys-admins and support techs around the world.

Having such logs will at-least provide hopes for simpler debugs and quick to fix
situations for us all.
Comment 1 Red Hat Bugzilla 2007-08-21 01:25:00 EDT
User pnasrat@redhat.com's account has been closed
Comment 2 Panu Matilainen 2007-08-22 02:30:16 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 3 Matěj Cepl 2008-07-30 12:01:01 EDT
Nothing to triage, an interesting idea.
Comment 5 Fedora Admin XMLRPC Client 2012-04-13 19:12:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2012-04-13 19:14:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.